# NamedTree Class Reference
[Common wrapper and helper classes]

Inheritance diagram for NamedTree:
[legend]

List of all members.

## Public Member Functions

| getParent ()
| setParent (NamedTree $parent)
| dropParent ()
| getRoot ()
| toString ($delimiter= ':: ')

## Private Attributes

| $parent = null

## Detailed Description

See also:
  IdentifiableTree

Definition at line 17 of file NamedTree.class.php.

## Member Function Documentation

NamedTree::dropParent | ( |  | ) |

Returns:
  NamedTree

Definition at line 44 of file NamedTree.class.php.

NamedTree::getParent | ( |  | ) |

Returns:
  NamedTree

Definition at line 24 of file NamedTree.class.php.

NamedTree::getRoot | ( |  | ) |

Returns:
  NamedTree

Definition at line 54 of file NamedTree.class.php.

NamedTree::setParent | ( | NamedTree $ | parent | ) |

Returns:
  NamedTree

Definition at line 32 of file NamedTree.class.php.

References Assert::brothers().

Here is the call graph for this function:

NamedTree::toString | ( | $ | delimiter = `' :: '` | ) |

Definition at line 67 of file NamedTree.class.php.

References NamedObject::$name, $parent, and NamedObject::getName().

Here is the call graph for this function:

## Member Data Documentation

NamedTree::$parent = null`[private]`

Definition at line 19 of file NamedTree.class.php.

Referenced by toString().

The documentation for this class was generated from the following file:

- main/Base/NamedTree.class.php